Package org.eclipse.net4j.util.om.log

# Class EclipseLoggingBridge

java.lang.Object
org.eclipse.net4j.util.om.log.EclipseLoggingBridge

All Implemented Interfaces:
  `OMLogHandler`

public class EclipseLoggingBridge extends Object implements OMLogHandler
A `log handler` that appends log events to the Eclipse `error log`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EclipseLoggingBridge`
`INSTANCE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EclipseLoggingBridge()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`static int`
`toEclipse(OMLogger.Level level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final EclipseLoggingBridge INSTANCE

Singleton

## Constructor Details

### EclipseLoggingBridge

protected EclipseLoggingBridge()

## Method Details

### logged

public void logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)

Specified by:
  `logged` in interface `OMLogHandler`

### toEclipse

public static int toEclipse(OMLogger.Level level)